summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Gerneth <login@gerneth.info>2015-10-17 22:38:53 -0500
committerChristoph Gerneth <login@gerneth.info>2015-10-17 22:38:53 -0500
commit728b29a87f45db08da883057b514e2dcf3049431 (patch)
treea10a7e9d509cfa6f3c6ec623797d882150453982
parent352d32f044dbeb7b275a8f3cffc787e341792342 (diff)
downloadbvg-grabber-728b29a87f45db08da883057b514e2dcf3049431.zip
bvg-grabber-728b29a87f45db08da883057b514e2dcf3049431.tar.gz
bvg-grabber-728b29a87f45db08da883057b514e2dcf3049431.tar.bz2
updated to beautifulsoup 4.4.1
-rw-r--r--bvggrabber/api/actualdeparture.py2
-rw-r--r--bvggrabber/api/scheduleddeparture.py2
-rwxr-xr-xsetup.py2
3 files changed, 3 insertions, 3 deletions
diff --git a/bvggrabber/api/actualdeparture.py b/bvggrabber/api/actualdeparture.py
index a1b3b5a..e7c084b 100644
--- a/bvggrabber/api/actualdeparture.py
+++ b/bvggrabber/api/actualdeparture.py
@@ -30,7 +30,7 @@ class ActualDepartureQueryApi(QueryApi):
}
response = requests.get(ACTUAL_API_ENDPOINT, params=params)
if response.ok:
- soup = BeautifulSoup(response.text)
+ soup = BeautifulSoup(response.text, "html.parser")
if soup.find_all('form'):
# The station we are looking for is ambiguous or does not exist
stations = soup.find_all('option')
diff --git a/bvggrabber/api/scheduleddeparture.py b/bvggrabber/api/scheduleddeparture.py
index 7a30d5f..f316b6e 100644
--- a/bvggrabber/api/scheduleddeparture.py
+++ b/bvggrabber/api/scheduleddeparture.py
@@ -50,7 +50,7 @@ class ScheduledDepartureQueryApi(QueryApi):
'start': 'yes'}
response = requests.get(SCHEDULED_API_ENDPOINT, params=params)
if response.ok:
- soup = BeautifulSoup(response.text)
+ soup = BeautifulSoup(response.text, "html.parser")
if soup.find('span', 'error'):
# The station we are looking for is ambiguous or does not exist
stations = soup.find('span', 'select').find_all('a')
diff --git a/setup.py b/setup.py
index a57f3db..8661e64 100755
--- a/setup.py
+++ b/setup.py
@@ -22,7 +22,7 @@ setup(
packages=find_packages(exclude=['tests']),
include_package_data=True,
install_requires=[
- 'beautifulsoup4>=4.2.1',
+ 'beautifulsoup4>=4.4.1',
'python-dateutil>=2.1',
'requests>=1.2.3',
'six>=1.3.0',